<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateProyectoTipoUnidad extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('proyecto_tipo_unidad')
			->addColumn('proyecto', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('tipo', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('nombre', 'string', ['length' => 20, 'default' => null, 'null' => true])
			->addColumn('abreviacion', 'string', ['length' => 20, 'default' => null, 'null' => true])
			->addColumn('m2', 'float', ['default' => null, 'null' => true])
			->addColumn('logia', 'float', ['default' => 0])
			->addColumn('terraza', 'float', ['default' => 0])
			->addColumn('descripcion', 'mediumtext', ['default' => null, 'null' => true])
			->addForeignKey('proyecto', 'proyecto', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
